Subject: RE: MIPv6 and ND value changes

From: "Bound, Jim" <[email-masked]>
Date: Mon, 18 Nov 2002 21:48:17 -0500

The engineers who implemented MIPv6 and there are a few and in the MIPv6
working group are same engineers that do ND in most cases today.  The
issue is not one of expertise.   This is MIPv6 work not IPv6 work.

/jim
[Honor, Commitment, Integrity]

> -----Original Message-----
> From: Pekka Savola [mailto:[email-masked]] 
> Sent: Monday, November 18, 2002 8:41 PM
> To: [email-masked]
> Subject: MIPv6 and ND value changes
> 
> 
> Hello,
> 
> FWIW, I fully support Thomas Narten on his view that MIPv6 
> should not be 
> making all of these assumptions to e.g. Neighbor Discovery 
> timer values.
> 
> These should be in a separate document, either:
>  - by mobileip, reviewed by ipv6 wg
>  - by ipv6 wg
>  (- waiting for the ND spec revising is probably not an option)
> 
> Such a document could be quite short, and probably could be 
> pushed quick 
> through the IETF process.
> 
> -- 
> Pekka Savola                 "Tell me of difficulties surmounted,
> Netcore Oy                   not those you stumble over and fall"
> Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords
> 
> --------------------------------------------------------------------
> IETF IPng Working Group Mailing List
> IPng Home Page:                      http://playground.sun.com/ipng
> FTP archive:                      ftp://playground.sun.com/pub/ipng
> Direct all administrative requests to [email-masked]
> --------------------------------------------------------------------
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------

---

From: "Bound, Jim" <[email-masked]>
Date: Tue, 19 Nov 2002 09:41:29 -0500

> And the key thing in my opinion is that the (access) routers 
> need to implement the faster RA and the advertisement 
> interval option. Thus the folks that implement routers need 
> to implement all of ND (as software engineers) but they 
> probably don't need all of the MIPv6 extensions to ND.

I agree but why do we have to fix this right now.  I would argue it can
be resolved later and this is something we all knew before now.  If we
ship the spec and then update it into parts with multiple drafts to PS
that will work.  But the market needs a PS now and so does technolgy
sector in industry.
We appease that need and work to make it better or to optimize.   That
IMO is what PS is all about.
What am I missing.

P.s. I know you're an implementor and I understand that OK.  I agree
with you but think about the time when a manager had to tell someone on
the team in engineering "look I know we can fine tune this but we got to
ship this to the release pool on Monday".  That is where I am coming
from not disagreeing with your optimizations.

Thanks
/jim